------------------------
WRFDA PUBLIC DOMAIN NOTICE
------------------------

WRF Data Assimilation System (WRFDA) was developed at the National 
Center for Atmospheric Research (NCAR) which is operated by the 
University Corporation for Atmospheric Research (UCAR). NCAR and 
UCAR make no proprietary claims, either statutory or otherwise, 
to this version and release of WRFDA and consider WRFDA to be in 
the public domain for use by any person or entity for any purpose 
without any fee or charge. UCAR requests that any WRFDA user include
this notice on any partial or full copies of WRFDA. WRFDA is provided
on an "AS IS" basis and any warranties, either express or implied, 
including but not limited to implied warranties of non-infringement, 
originality, merchantability and fitness for a particular purpose, 
are disclaimed. In no event shall UCAR be liable for any damages, 
whatsoever, whether direct, indirect, consequential or special, that 
arise out of or in connection with the access, use or performance of 
WRFDA, including infringement actions.


======================================
This is the main directory for the WRFDA Version 3 source code release.
======================================

V3.7.1 Release Notes :
-------------------

Version 3.7.1 was released on August 14, 2015.

  For more information about WRFDA, visit the WRFDA Users home page
  http://www2.mmm.ucar.edu/wrf/users/wrfda/index.html

  Updated features:

    - A number of issues have been fixed for this release, including:
        - A fix for the new radar option "use_radar_rqv"
        - A fix for crashes and/or incorrect results for 4DVAR when assimilating radiance data with 
          RTTOV with the option "rttov_emis_atlas_ir=1"
        - Fixing display problems in OBSPROC for large numbers of observations
        - Avoiding problems in OBSPROC with default observation error values
        - An incorrect interpolation of U and V in new CV7 option in GEN_BE has been fixed
    - WRFPLUS has been upgraded to V3.7.1

See http://www2.mmm.ucar.edu/wrf/users/wrfda/updates-3.7.1.html for a full list of updates

======================================

V3.7 Release Notes :
-------------------

Version 3.7 was released on April 20, 2015.

  For more information on WRFDA, visit the WRFDA Users home page
  http://www2.mmm.ucar.edu/wrf/users/wrfda/index.html

  New features:

    -New background error option: CV7 (cv_options = 7)
    -Radar assimilation has been updated: new options have been added for reflectivity assimilation
    -A new mp_physics option is available for WRFPLUS in 4DVAR runs

  Updated features:

    -WRFDA can now use WRF files with the "lat-lon" (cylindrical equidistant) map projection. This 
     does not include global WRF files.
    -Updated libraries:
        -RTTOV interface is now for RTTOV Version 11.1 or 11.2
    -Bug fixes and performance improvements
    -WRFPLUS has been upgraded to V3.7.
======================================

V3.6.1 Release Notes :
-------------------

Version 3.6.1 was released on August 14, 2014.

  For more information about WRFDA, visit the WRFDA Users home page
  http://www2.mmm.ucar.edu/wrf/users/wrfda/index.html

  Updated features:

    - A number of issues have been fixed for this release, including:
        - The FGAT capability has been updated to produce better results
        - Several bugs which may cause compilation failure
        - Bugs in SEVIRI radiance assimilation
        - Errors when using RTTOV to assimilate radiances in 4DVAR
        - The FGAT capability has been updated to produce better results
        - Many other minor problems
    - WRFPLUS has been upgraded to V3.6.1

See http://www2.mmm.ucar.edu/wrf/users/wrfda/updates-3.6.1.html for a full list of updates

======================================
V3.6 Release Notes :
-------------------

Version 3.6 was released on April 18, 2014.

  For more information on WRFDA, visit the WRFDA Users home page
  http://www2.mmm.ucar.edu/wrf/users/wrfda/index.html

  New features:

    -Dual-resolution hybrid assimilation has been implemented
    -New instruments can be assimilated:
        -Meteosat SEVIRI
        -Metop-B instruments
        -AIREP humidity observations
    -Observation thinning for conventional observations in ASCII format

  Updated features:

    -GPS Radio Occultation data can now be read separately from other conventional data types
    -Wind speed/direction assimilation has been updated, and namelist options have changed. See the
     relevant section of the User's Guide for more information.
    -Updated libraries:
        -CRTM Version 2.1.3
        -BUFR Version 10.2.3
        -RTTOV interface is now for RTTOV Version 11.1
    -Bug fixes and performance improvements
    -WRFPLUS has been upgraded to V3.6.

======================================
V3.5.1 Release Notes :
-------------------

Version 3.5.1 is released on September 23, 2013.

  For more information on WRFDA, visit the WRFDA Users home page
  http://www2.mmm.ucar.edu/wrf/users/wrfda/index.html


  The following bugs have been fixed:
    -BUFR libraries have been updated to allow WRFDA to read and assimilate NCEP PREPBUFR files of 
     any endianness.
    -Compilation failure with some older Fortran95 compilers
    -A problem with Variational Bias Correction (VARBC) on some platforms
    -A problem with OBSPROC's built-in observation error file (obserr.txt) on some platforms
    -A bug causing failures when "print_detail_outerloop=true"
    -A few more miscellaneous fixes

======================================
V3.5 Release Notes :
-------------------

Version 3.5 is released on April 18. 2013.

  For more information on WRFDA, visit the WRFDA Users home page
  http://www2.mmm.ucar.edu/wrf/users/wrfda/index.html

  New features:

    -Wind Speed/Direction Assimilation: Wind speed/direction observations can now be directly 
     assimilated.
    -New satellite instruments can be assimilated:
        -METOP Infrared Atmospheric Sounding Interferometer (IASI)
        -NPP Advanced Technology Microwave Sounder (ATMS)
        -FY3 Microwave Temperature Sounder (MWTS) and Microwave Humidity Sounder (MWHS)

  Updated features:

    -Yellowstone compilation options: Specific compilation options for the new NCAR supercomputer 
        Yellowstone have been added.
    -Updated I/O for improved back-compatability with previous versions of WRF and WRFDA
    -WRFDA-3DVAR can now read two different PREPBUFR observation files at once
    -The "ntmax" namelist variable is now a vector, and can be set to a different value for each 
     outer loop
    -WRFPLUS has been upgraded to V3.5 and it is consistent with the released WRF version 3.5.

======================================
V3.4.1 Release Notes :
-------------------

Version 3.4.1 is released on August 16, 2012.

- For more information on WRFDA, visit the WRFDA Users home page
  http://www2.mmm.ucar.edu/wrf/users/wrfda/index.html

- WRFDA registry files have been reconstructed.
  Default namelist settings are now in registry.var file.

- WRFPLUS registry bug fixes related to mp_physics=9,10,13,14,16,17,18

======================================
V3.4 Release Notes :
-------------------

Version 3.4 is released on April 6, 2012.

- The WRFPLUS (WRF adjoint and tangent linear model) has been upgraded to V3.4 and it is consistent
  with the released WRF version 3.4. Added parallel WRF TL/AD based on WRF 3.4.

- WRFDA 4D-Var now supports compilation to run in parallel.

- WRFDA 4D-Var now supports precipitation data (such as stage IV) assimilation.

- The ability to generate forecast sensitivity to observations has been updated.

- WRFDA Hybrid 3D-Var has been updated.

======================================

V3.3.1 Release Notes :
-------------------

Version 3.3.1 is released on September 27, 2011.

- WRF 4D-Var has been improved on lateral boundary condition control, analysis scheme for surface 
  observation etc.
  
- Lots of bug fixes.

======================================

V3.3 Release Notes:
-----------------------

Version 3.3 is released on April 6, 2011.

- RTTOV interfaces has been upgraded to version 10.0
  Please download RTTOV v10.0 and install it in appropriate location 
  if you want to use RTTOV to assimilate radiance observation with bufr format

- crtm_atmosphere is removed from the namelist. 
  Now the CRTM reference climatology is determined inside WRFDA based on 
  latitude and month.

- New WRF 4D-Var
  The WRFPLUS (WRF adjoint and tangent linear model) has been upgraded to V3.3 
  and it is consistent with the released WRFV version 3.3. However, only dry dynamic 
  processes are included in WRFPLUS version 3.3 and only serial run is supported
  at this release.
  WRFDA is also upgraded to consistent with WRFPLUS version 3.3 and the new 4D-Var 
  system is a single executable application. Please refer to Users' guide for the
  details.

- Lots of bug fixes.

V3.2.1 Release Notes:
-----------------------

Version 3.2.1 is released on August 18, 2010.

- CRTM interface for radiance assimilation has been upgraded to version 2.0.2.

- CRTM V2.0.2 has been included as an internal library in WRFDA codes.
  Setting environmental variable CRTM to ANYTHING to activate the CRTM installation 
  during WRFDA compilation.

- Multivariate gen_be method which considers the correlations between moisture and 
  other variables is included, but the support for the new capability will be very
  limited.

- Lots of bug fixes.

V3.2 Release Notes:
-----------------------

Version 3.2 is released on March 31, 2010.

- Improvements on  multiple outer loop which handling nonlinearity issue

- Adjoint sensitivity tool

- Improved software performance

- Improved WRF adjoint codes.

V3.1.1 Release Notes:
-----------------------

Version 3.1.1 is released on July 31, 2009.

- Radiance data assimilation using K Matrix capability is completed in V3.1.1 release, 
  which dramatically speedup the analysis. To use K Matrix , please 
  set USE_CRTM_KMATRIX=true in wrfvar14@namelist.input. 
  Note: it only applied on CRTM in V3.1.1.

- Improved software portability; only NETCDF library is mandatory 
  if only LITTLE_R formated conventional observational data to be used. 
  To use Prepbufr observational files, just set environmental variable 
  BUFR equal to 1 before the code is compiled. To use radiance BUFR 
  format data, CRTM or RTTOV is needed.


V3.1 Release Notes:
-----------------------

Version 3.1 is released on April 9, 2009.

- For more information on WRFDA, visit the new WRFDA Users home page
  http://www2.mmm.ucar.edu/wrf/users/wrfda/index.html
  and read the online User's Gudie.

- 4DVAR and radiance data assimilation capabilities are included in V3.1.

- New README files under WRFDA/var (README.namelist, README.basics, 
  README.radiance)

- WRFDA V3.1 executable will work with V3.0 wrfinput/wrfbdy (but requires 
  inserting a new namelist variable use_baseparam_fr_nml in &dynamics).
  However, rerunning V3.1 WPS/real.exe is recommended.

- Changes to namelist variables.
    * Some obsolete or unused namelist variables are removed, some new namelist 
      variables are added, purposes of some namelist variables are changed.
      See WRFDA/var/README.namelist for descriptions of supported namelist 
      variables.

- Changes to obsproc:
    * the executable is renamed to be obsproc.exe from 3dvar_obs.exe and
      namelist.3dvar_obs is renamed to be namelist.obsproc to reflect
      its capabilitiy of producing WRFDA-ready observations for 3DVAR, FGAT,
      or 4DVAR applications.
      See WRFDA/var/obsproc/README.
    * compilation of obsproc.exe is included in "compile all_wrfvar"

- Changes to diagnostic output files
    * gts_omb_oma becomes gts_omb_oma_01 (01 indicates outer loop index)
    * observations that fail check_max_iv are listed in rej_obs_conv_01.000
      ( 01 is outer loop index, 000 is processor id)
    * qcstat_conv_01 (01 indicates outer loop index) contains observation 
      number counts

- Most of the scripts under WRFDA/var/scripts are removed from the main source
  code tar file. They can still be downloaded separately.
  See http://www2.mmm.ucar.edu/wrf/users/wrfda/download/tools.html

For questions, send mail to wrfhelp@ucar.edu

======================================

WRFDA update history:

- V3.0:     Apr  4, 2008
- V3.0.1:   Aug  6, 2008
- V3.0.1.1: Aug 29, 2008
- V3.1:     Apr  9, 2009
- V3.1.1:   Jul 31, 2009
- V3.2:     Mar 31, 2010
- V3.2.1:   Aug 18, 2010
- V3.3:     Apr  6, 2011
- V3.3.1:   Sep 27, 2011
- V3.4:     Apr  6, 2012
- V3.4.1:   Aug 16, 2012
- V3.5:     Apr 18, 2013
- V3.5.1:   Sep 23, 2013
- V3.6:     Apr 15, 2014
======================================

How to compile and run?
-----------------------

- In WRFDA directory, type 'configure wrfda - this will create a configure.wrf
  file that has appropriate compile options for the supported computers.

  Note: WRFDA only requires netCDF library starting with V3.1.1.
        Install netCDF library with the same compiler that will be used to compile WRFDA.
        NCEP BUFR and CRTM 2.0.2 libs are included in the WRFDA tar file. 
        Set environment variables properly according to your applications
        before you type 'configure wrfda'. For example, 

        setenv NETCDF /usr/local/netcdf-pgi
        setenv BUFR 1 (optional, set to compile WRFDA with NCEP BUFR capability)
        setenv CRTM 1 (optional, set to compile WRFDA with CRTM capability)
        setenv RTTOV /usr/local/rttov10 (optional, set to compile WRFDA with RTTOV capability)

- Type 'compile all_wrfvar' when you are ready:

- If sucessful, this will create da_wrfvar.exe and a set of utilities
  in directory WRFDA/var/build/. 

- cd to the appropriate test or run directory to run WRFDA.

     Some basic instruction/namelist.input are available in sub-directories
     of WRFDA/var/test.

